---
title: retrieve-a-list-of-all-checks
product: vercel
url: /docs/rest-api/sdk/checks/retrieve-a-list-of-all-checks
canonical_url: "https://vercel.com/docs/rest-api/sdk/checks/retrieve-a-list-of-all-checks"
last_updated: 2026-08-31
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about retrieve-a-list-of-all-checks on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Retrieve a list of all checks

> **Deprecated**: This endpoint is deprecated and may be removed in a future version.

```http
GET /v1/deployments/{deploymentId}/checks
```

List all of the checks created for a deployment.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `deploymentId` | string | Yes | The deployment to get all checks for |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```go
package main

import(
	"os"
	"github.com/vercel/vercel"
	"context"
	"log"
)

func main() {
    s := vercel.New(
        vercel.WithSecurity(os.Getenv("VERCEL_BEARER_TOKEN")),
    )

    ctx := context.Background()
    res, err := s.Checks.GetAllChecks(ctx, "dpl_2qn7PZrx89yxY34vEZPD31Y9XVj6", nil, nil)
    if err != nil {
        log.Fatal(err)
    }
    if res.Object != nil {
        // handle response
    }
}
```

## Example response

```json
{
  "checks": [
    {
      "completedAt": "123",
      "conclusion": "canceled",
      "createdAt": "123",
      "detailsUrl": "https://example.com",
      "id": "icfg_1234567890",
      "integrationId": "example_id",
      "name": "Example Name",
      "output": {
        "metrics": {}
      },
      "path": "string",
      "rerequestable": "false",
      "blocking": "false",
      "startedAt": "123",
      "status": "completed",
      "updatedAt": "123"
    }
  ]
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "checks"
  ],
  "properties": {
    "checks": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "blocking",
          "createdAt",
          "id",
          "integrationId",
          "name",
          "rerequestable",
          "status",
          "updatedAt"
        ],
        "properties": {
          "completedAt": {
            "type": "number"
          },
          "conclusion": {
            "type": "string",
            "enum": [
              "canceled",
              "failed",
              "neutral",
              "skipped",
              "stale",
              "succeeded"
            ]
          },
          "createdAt": {
            "type": "number"
          },
          "detailsUrl": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "integrationId": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "output": {
            "type": "object"
          },
          "path": {
            "type": "string"
          },
          "rerequestable": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "blocking": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "startedAt": {
            "type": "number"
          },
          "status": {
            "type": "string",
            "enum": [
              "completed",
              "registered",
              "running"
            ]
          },
          "updatedAt": {
            "type": "number"
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: The deployment was not found

### 410: No description

---

## Related

- [checks endpoints](/docs/rest-api#checks)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
